<?php declare(strict_types=1);

namespace Everyware\Plugin\Cxense;

use Everyware\ProjectPlugin\Components\ComponentSettingsForm;
use Infomaker\Everyware\Twig\View;

/**
 * Class PluginSettingsForm
 * @package Everyware\Plugin\Cxense
 */
class PluginSettingsForm extends ComponentSettingsForm
{
    protected function formContent($storedData): string
    {
        $viewData = array_replace($this->generateViewData($storedData), [
            'form' => $this->generateFormBuilder()
        ]);
        return View::generate('@cxense/plugin-settings', $viewData);
    }
}
