<?php declare(strict_types=1);

namespace Everyware\Plugin\Cxense\Widgets;

use Everyware\ProjectPlugin\Components\WidgetSettingsForm;
use Infomaker\Everyware\Twig\View;

/**
 * Class CCEForm
 * @package Everyware\Plugin\Cxense\Widgets
 */
class CCEForm extends WidgetSettingsForm
{
    protected function formContent($storedData): string
    {
        return View::generate('@cxense/widgets/cce/form', array_replace($this->generateViewData($storedData), [
            'form' => $this->generateFormBuilder(),
        ]));
    }
}
